- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ArgumentParser::Parameter Class Reference

List of all members.

## Public Types
enum | ParameterType { FLOAT_PARAMETER, DOUBLE_PARAMETER, INT_PARAMETER, UNSIGNED_INT_PARAMETER, STRING_PARAMETER }
## Public Member Functions
| Parameter (float &value)
| Parameter (double &value)
| Parameter (int &value)
| Parameter (unsigned int &value)
| Parameter (std::string &value)
bool | valid (const char *str) const
bool | assign (const char *str)
## Protected Attributes
ParameterType | _type
ValueUnion | _value
## Classes
union | ValueUnion

## Member Enumeration Documentation

enum osg::ArgumentParser::Parameter::ParameterType

  | Enumerator:
  FLOAT_PARAMETER |
  DOUBLE_PARAMETER |
  INT_PARAMETER |
  UNSIGNED_INT_PARAMETER |
  STRING_PARAMETER |

## Constructor & Destructor Documentation

osg::ArgumentParser::Parameter::Parameter | ( | float & | value | ) | `[inline]`

osg::ArgumentParser::Parameter::Parameter | ( | double & | value | ) | `[inline]`

osg::ArgumentParser::Parameter::Parameter | ( | int & | value | ) | `[inline]`

osg::ArgumentParser::Parameter::Parameter | ( | unsigned int & | value | ) | `[inline]`

osg::ArgumentParser::Parameter::Parameter | ( | std::string & | value | ) | `[inline]`

## Member Function Documentation

bool ArgumentParser::Parameter::assign | ( | const char * | str | ) |

bool ArgumentParser::Parameter::valid | ( | const char * | str | ) | const

## Member Data Documentation

ParameterType osg::ArgumentParser::Parameter::_type`[protected]`

ValueUnion osg::ArgumentParser::Parameter::_value`[protected]`

The documentation for this class was generated from the following files:

- ArgumentParser
- ArgumentParser.cpp